repo/gentoo:master commit in: net-vpn/tailscale/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786025251.a4103bd346986f724ee477666aee4cddb11830a3.arthurzam@gentoo>
commit:     a4103bd346986f724ee477666aee4cddb11830a3
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 14:03:41 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 14:07:31 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4103bd3

net-vpn/tailscale: add 1.102.2

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 net-vpn/tailscale/Manifest                 |  2 +
 net-vpn/tailscale/tailscale-1.102.2.ebuild | 69 ++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/net-vpn/tailscale/Manifest b/net-vpn/tailscale/Manifest
index 360ac7ac2192..5e422a857030 100644
--- a/net-vpn/tailscale/Manifest
+++ b/net-vpn/tailscale/Manifest
@@ -2,6 +2,8 @@ DIST tailscale-1.100.0-vendor.tar.xz 41768908 BLAKE2B 95e9b9db035a339b46d27f13a4
 DIST tailscale-1.100.0.tar.gz 4889482 BLAKE2B 3e1bea49fa28d218600ef57436d043b80e7da67cf17b80f582abe144b4561ecab44f8cad4b946982b9b0db3b9cbb7c35cf9cece31e52a3dc3b4670ff8507369c SHA512 2453924da09a660a17b122857155ed27906d892378f4f76f12ac5d351a305d865afbd7fb90e6de847f70766ae761abbfb848c74373efea5a7dce29ab87f92c71
 DIST tailscale-1.102.0-vendor.tar.xz 60980804 BLAKE2B 99b7ff3469db14c264d7130dfddf5d92f0200487d3a203e1523d417f35f76f16f0ce8ada9eb184eb5ce2ac53a2a7e83393fdb44b921371d9305c3022a8f5a6b4 SHA512 4707a76cf3f2eb1a3673da9a215b5903d8e6dcba0f0146ae41ad5aacc505ff8ac0cd3cf9ee8ff3959164f2d3c4d62fe7daa29fabeb3f1b71c34f99a1e8e087d8
 DIST tailscale-1.102.0.tar.gz 5255551 BLAKE2B 279e7f8eeb947282836cb272ffca9b22efd66b773a30fc7db7df0691751581d499023a0fdb75b6d5cf5b0230f999e6e83ea178edc2d5873136d0fbd481e90e0d SHA512 db718a1e0fe38fbb8ec03a5dc83f5218d5b3905a825cd9dc46df909c0c0500ad64138e440600303ff0ca9d8f129ca8f16345153c19b948eb81bb772889775c4e
+DIST tailscale-1.102.2-vendor.tar.xz 61023896 BLAKE2B 084b572bdb2252d0c5f0061208012d4c32cecd56d0aa965bdca6070ee97ed62971981562e72ffb60aa3511c2efcd7243bfce8248df9110a2e6e90f57499cda00 SHA512 077b06efd359157302628870edf044912a2859a69855727de0c7638f26fa47b76fbee0fb8c410178ce4f1cbdb478d5416a7fb4326d175f8ea94769217bed5ff2
+DIST tailscale-1.102.2.tar.gz 5282022 BLAKE2B 17c8cfc6378c0129250a139ac5d57aa2f34fad9f855cc80e026435e8d9281607766a4473471ed0f3addcb7eb0156f84c1da8e8c66ee9fa83c5833638963f7e5e SHA512 9f102c94eac91e75a8740f72a211f04a66ee9ba1248d6b84a34bd9b7cd342ebc26ea152e5bfdc4fd5c3b0841e19c58ddbb4401f93a45dd6e2ee24ee142219e4d
 DIST tailscale-1.98.0-vendor.tar.xz 41420620 BLAKE2B 658c13bbbf0ee56def08b2e63fe67001d1724aa75c06e51636bda6f1cf31f993f573c00596c00e1adab0b75d6c315e4f6ba566602f13f2b8541a27d2fe66fb21 SHA512 25fb854ee73aebada0c86eb1f7ca1cd0d0bed792bb9ade99dc09a8224b8ec326dd45b812a97be935f346cd8a083725698c6eec1bd854d4852034268a9e303cc3
 DIST tailscale-1.98.0.tar.gz 4756618 BLAKE2B 96976f3f1b3acddd0453559fbed2d7bec971a19ed2834dd9219855c6d3a65d7788a312ab76d7caae5aa43cacfe4761fe0ac3bda1631cc957e69c1a4c6432d60c SHA512 47a1ff3bded30c687ba96b260621f036bf7a52ddc368ac2e47471aeb9dc5edf9615f93c0cfa26cb9d5a56a367c3e02f51096fdec21636c840327b6d899044911
 DIST tailscale-1.98.1-vendor.tar.xz 41416640 BLAKE2B 414bdf12b152e77492e91032770ab35f98ca9c4435f14696810413fc25b779f860389524f1f14cc143ece51d4ed3f1022ab4dfe4577d5091660b6b575fcf5b88 SHA512 d666ee9069545d6393721a99865b0701f360676900be97b6d7a122c9d5f3609767908752ed10b8ac5e1bac0bcebd28825f19b5b46edbd4ca203c89858d718f2a

diff --git a/net-vpn/tailscale/tailscale-1.102.2.ebuild b/net-vpn/tailscale/tailscale-1.102.2.ebuild
new file mode 100644
index 000000000000..6d739ecc5184
--- /dev/null
+++ b/net-vpn/tailscale/tailscale-1.102.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module linux-info shell-completion systemd sysroot tmpfiles
+
+# They should be updated on every bump.
+VERSION_GIT_HASH="eb67e5dcbe145d63e1128b9b4b630f8a82da101f"
+VERSION_MINOR=$(ver_cut 2)
+VERSION_SHORT=${PV}
+VERSION_LONG=${PV}-t${VERSION_GIT_HASH::9}
+
+DESCRIPTION="Tailscale vpn client"
+HOMEPAGE="https://tailscale.com"
+SRC_URI="https://github.com/tailscale/tailscale/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://github.com/gentoo-golang-dist/${PN}/releases/download/v${PV}/${P}-vendor.tar.xz"
+
+LICENSE="MIT"
+# Dependent licenses
+LICENSE+=" Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+RESTRICT="test"
+
+CONFIG_CHECK="~TUN"
+
+RDEPEND="|| ( net-firewall/iptables net-firewall/nftables )"
+BDEPEND=">=dev-lang/go-1.26.5"
+
+src_compile() {
+	# This translates the build command from upstream's build_dist.sh to an
+	# ebuild equivalent.
+	local go_ldflags=(
+		-X tailscale.com/version.longStamp=${VERSION_LONG}
+		-X tailscale.com/version.shortStamp=${VERSION_SHORT}
+		-X tailscale.com/version.gitCommitStamp=${VERSION_GIT_HASH}
+	)
+	ego build -tags xversion -ldflags "${go_ldflags[*]}" -o bin/ ./cmd/tailscale ./cmd/tailscaled
+
+	einfo "generating shell completion files"
+	sysroot_try_run_prefixed ./bin/tailscale completion bash > ${PN}.bash || die
+	sysroot_try_run_prefixed ./bin/tailscale completion zsh > ${PN}.zsh || die
+	sysroot_try_run_prefixed ./bin/tailscale completion fish > ${PN}.fish || die
+}
+
+src_install() {
+	dosbin bin/tailscaled
+	dobin bin/tailscale
+
+	systemd_dounit cmd/tailscaled/{tailscaled.service,tailscale-online.target,tailscale-wait-online.service}
+	insinto /etc/default
+	newins cmd/tailscaled/tailscaled.defaults tailscaled
+	keepdir /var/lib/${PN}
+	fperms 0750 /var/lib/${PN}
+
+	newtmpfiles "${FILESDIR}/${PN}.tmpfiles" ${PN}.conf
+
+	newinitd "${FILESDIR}/${PN}d.initd" ${PN}
+	newconfd "${FILESDIR}/${PN}d.confd" ${PN}
+
+	[[ -s ${PN}.bash ]] && newbashcomp ${PN}.bash ${PN}
+	[[ -s ${PN}.zsh ]] && newzshcomp ${PN}.zsh _${PN}
+	[[ -s ${PN}.fish ]] && dofishcomp ${PN}.fish
+}
+
+pkg_postinst() {
+	tmpfiles_process ${PN}.conf
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.